//
// Created by philipp on 13.05.18.
//

#include "include/MessageGui/MessageList.h"

MessageList::MessageList(QObject * parent) : MessageCollection(parent)
{
}

Message & MessageList::getItem(int index)
{
    return items[index];
}

int MessageList::getSize() const noexcept
{
    return items.size();
}

void MessageList::insert(const Message & message)
{
    emit preMessageInserted();
    items.append(message);
    emit postMessageInserted();
}

void MessageList::clear()
{
    emit preMessagesCleared();
    items.clear();
    emit postMessagesCleared();
}